> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm a policy

> The policy and its assets all become [CONFIRMED](#object-statuses) and can no longer be modified in the New Business flow.



## OpenAPI

````yaml /openapi.json post /policies/{policyId}/confirm
openapi: 3.0.0
info:
  title: Korint API
  description: >-
    Quoting, policy issuance, billing, claims, documents and compliance for
    insurance distribution.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.korint.io
    description: Production
  - url: https://api.sandbox.korint.io
    description: Sandbox
security:
  - oauth2: []
  - bearerAuth: []
tags: []
paths:
  /policies/{policyId}/confirm:
    post:
      tags:
        - policy
      summary: Confirm a policy
      description: >-
        The policy and its assets all become [CONFIRMED](#object-statuses) and
        can no longer be modified in the New Business flow.
      operationId: PolicyController_confirmPolicy
      parameters:
        - name: tenant
          in: header
          required: true
          description: Your tenant identifier. Requests without it are rejected.
          schema:
            type: string
        - name: policyId
          required: true
          in: path
          description: the policy id
          schema:
            pattern: >-
              ^policy(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$
            type: string
        - name: whenAt
          required: false
          in: query
          description: 'Optional: the whenAt datetime'
          schema:
            type: string
            format: date-time
        - name: branchId
          required: true
          in: query
          description: the branchId
          schema:
            pattern: >-
              ^branch(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$
            type: string
        - name: skipValidation
          required: false
          in: query
          description: 'Debug: force a quote to happen even if there are no changes to quote'
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfirmPolicyOutput'
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InvalidEventCreationDateErrorDto'
                  - $ref: '#/components/schemas/InvalidConfirmationDateErrorDto'
              examples:
                INVALID_EVENT_CREATION_DATE:
                  value:
                    code: INVALID_EVENT_CREATION_DATE
                    message: >-
                      You are trying to push an event that is created on
                      {createdAt}, but the creation date should be after the
                      latest event which was created on {latestCreatedAt}
                    details: {}
                INVALID_CONFIRMATION_DATE:
                  value:
                    code: INVALID_CONFIRMATION_DATE
                    message: >-
                      You are trying to confirm at {whenAt} a policy that starts
                      at {startedAt}. You can only confirm changes on a policy
                      up to one year and one week after it started.
                    details: {}
          description: ''
        '403':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ForbiddenErrorDto'
              examples:
                FORBIDDEN:
                  value:
                    code: FORBIDDEN
                    message: Forbidden
                    details: {}
          description: ''
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/PolicyNotFoundErrorDto'
              examples:
                POLICY_NOT_FOUND:
                  value:
                    code: POLICY_NOT_FOUND
                    message: Policy {policyId} ({branchId}) not found
                    details: {}
          description: ''
        '409':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ConflictingPolicyStatusErrorDto'
                  - $ref: '#/components/schemas/ConflictingFieldDefinitionErrorDto'
                  - $ref: '#/components/schemas/ConflictingBranchStatusErrorDto'
                  - $ref: '#/components/schemas/InvoicingConfigNotSetErrorDto'
                  - $ref: '#/components/schemas/NoChangesToSignErrorDto'
                  - $ref: '#/components/schemas/FieldsDoNotMeetRequirementsErrorDto'
              examples:
                CONFLICTING_POLICY_STATUS:
                  value:
                    code: CONFLICTING_POLICY_STATUS
                    message: >-
                      {policyId} status {requirement} {policyStatus} to perform
                      {action}
                    details: {}
                CONFLICTING_FIELD_DEFINITION:
                  value:
                    code: CONFLICTING_FIELD_DEFINITION
                    message: '{entity} {id} {field} {requirement} {qualifier}'
                    details: {}
                CONFLICTING_BRANCH_STATUS:
                  value:
                    code: CONFLICTING_BRANCH_STATUS
                    message: >-
                      Branch status {requirement} {branchStatus} to perform
                      {action}
                    details: {}
                INVOICING_CONFIG_NOT_SET:
                  value:
                    code: INVOICING_CONFIG_NOT_SET
                    message: >-
                      Invoicing config must be set to perform {action} on policy
                      {policyId}
                    details: {}
                NO_CHANGES_TO_SIGN:
                  value:
                    code: NO_CHANGES_TO_SIGN
                    message: >-
                      None of the changes made need to be signed. Please retry
                      these changes outside of a MTA branch.
                    details: {}
                FIELDS_DO_NOT_MEET_REQUIREMENTS:
                  value:
                    code: FIELDS_DO_NOT_MEET_REQUIREMENTS
                    message: >-
                      Fields on this branch do not meet requirements defined in
                      product configuration
                    details: {}
          description: ''
components:
  schemas:
    ConfirmPolicyOutput:
      type: object
      properties: {}
    InvalidEventCreationDateErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_EVENT_CREATION_DATE
        message:
          type: string
          example: >-
            You are trying to push an event that is created on {createdAt}, but
            the creation date should be after the latest event which was created
            on {latestCreatedAt}
        details:
          $ref: '#/components/schemas/InvalidEventCreationDateDetailsDto'
      required:
        - code
        - message
        - details
    InvalidConfirmationDateErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_CONFIRMATION_DATE
        message:
          type: string
          example: >-
            You are trying to confirm at {whenAt} a policy that starts at
            {startedAt}. You can only confirm changes on a policy up to one year
            and one week after it started.
        details:
          $ref: '#/components/schemas/InvalidConfirmationDateDetailsDto'
      required:
        - code
        - message
        - details
    ForbiddenErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - FORBIDDEN
        message:
          type: string
          example: Forbidden
        details:
          $ref: '#/components/schemas/ForbiddenDetailsDto'
      required:
        - code
        - message
        - details
    PolicyNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - POLICY_NOT_FOUND
        message:
          type: string
          example: Policy {policyId} ({branchId}) not found
        details:
          $ref: '#/components/schemas/PolicyNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    ConflictingPolicyStatusErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CONFLICTING_POLICY_STATUS
        message:
          type: string
          example: '{policyId} status {requirement} {policyStatus} to perform {action}'
        details:
          $ref: '#/components/schemas/ConflictingPolicyStatusDetailsDto'
      required:
        - code
        - message
        - details
    ConflictingFieldDefinitionErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CONFLICTING_FIELD_DEFINITION
        message:
          type: string
          example: '{entity} {id} {field} {requirement} {qualifier}'
        details:
          $ref: >-
            #/components/schemas/ConflictingBusinessEntityFieldDefinitionDetailsDto
      required:
        - code
        - message
        - details
    ConflictingBranchStatusErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CONFLICTING_BRANCH_STATUS
        message:
          type: string
          example: Branch status {requirement} {branchStatus} to perform {action}
        details:
          $ref: '#/components/schemas/ConflictingBranchStatusDetailsDto'
      required:
        - code
        - message
        - details
    InvoicingConfigNotSetErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVOICING_CONFIG_NOT_SET
        message:
          type: string
          example: >-
            Invoicing config must be set to perform {action} on policy
            {policyId}
        details:
          $ref: '#/components/schemas/InvoicingConfigNotSetDetailsDto'
      required:
        - code
        - message
        - details
    NoChangesToSignErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - NO_CHANGES_TO_SIGN
        message:
          type: string
          example: >-
            None of the changes made need to be signed. Please retry these
            changes outside of a MTA branch.
        details:
          $ref: '#/components/schemas/NoChangesToSignConflictDetailsDto'
      required:
        - code
        - message
        - details
    FieldsDoNotMeetRequirementsErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - FIELDS_DO_NOT_MEET_REQUIREMENTS
        message:
          type: string
          example: >-
            Fields on this branch do not meet requirements defined in product
            configuration
        details:
          $ref: '#/components/schemas/FieldsRequirementsConflictDto'
      required:
        - code
        - message
        - details
    InvalidEventCreationDateDetailsDto:
      type: object
      properties:
        createdAt:
          type: string
          format: date-time
        latestCreatedAt:
          type: string
          format: date-time
      required:
        - createdAt
        - latestCreatedAt
    InvalidConfirmationDateDetailsDto:
      type: object
      properties:
        startedAt:
          type: string
          format: date-time
        whenAt:
          type: string
          format: date-time
      required:
        - startedAt
        - whenAt
    ForbiddenDetailsDto:
      type: object
      properties:
        message:
          type: string
        documentKey:
          type: string
        userId:
          type: string
        ownerId:
          type: string
      required:
        - message
        - documentKey
        - userId
        - ownerId
    PolicyNotFoundDetailsDto:
      type: object
      properties:
        policyId:
          type: string
        branchId:
          type: string
        whenAt:
          type: string
        simulatedAt:
          type: string
      required:
        - policyId
    ConflictingPolicyStatusDetailsDto:
      type: object
      properties:
        policyStatus:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
        policyId:
          type: string
        requirement:
          allOf:
            - $ref: '#/components/schemas/OperationRequirement'
        action:
          allOf:
            - $ref: '#/components/schemas/Action'
        additionalData:
          type: object
          additionalProperties: true
      required:
        - policyStatus
        - policyId
        - requirement
        - action
    ConflictingBusinessEntityFieldDefinitionDetailsDto:
      type: object
      properties:
        entity:
          allOf:
            - $ref: '#/components/schemas/BusinessEntity'
        id:
          type: string
        field:
          type: string
        requirement:
          allOf:
            - $ref: '#/components/schemas/OperationRequirement'
        qualifier:
          allOf:
            - $ref: '#/components/schemas/FieldQualifier'
        additionalData:
          type: string
        rawData:
          type: object
          additionalProperties: true
      required:
        - entity
        - field
        - requirement
        - qualifier
    ConflictingBranchStatusDetailsDto:
      type: object
      properties:
        branchStatus:
          allOf:
            - $ref: '#/components/schemas/BranchStatus'
        requirement:
          allOf:
            - $ref: '#/components/schemas/OperationRequirement'
        action:
          allOf:
            - $ref: '#/components/schemas/Action'
      required:
        - branchStatus
        - requirement
        - action
    InvoicingConfigNotSetDetailsDto:
      type: object
      properties:
        policyId:
          type: string
        action:
          allOf:
            - $ref: '#/components/schemas/Action'
      required:
        - policyId
        - action
    NoChangesToSignConflictDetailsDto:
      type: object
      properties: {}
    FieldsRequirementsConflictDto:
      type: object
      properties: {}
    OperationRequirement:
      type: string
      enum:
        - must be
        - must NOT be
        - must contain
        - must NOT contain
    Action:
      type: string
      enum:
        - PERFORM THIS ACTION
        - CREATE POLICY
        - CREATE ASSET
        - CREATE ASSET WITH START DATE
        - REPLACE ASSET
        - REMOVE ASSET
        - CHOOSE ASSET OPTIONS
        - STOP ASSET
        - EDIT ASSET
        - EDIT ASSET WITH START DATE
        - CREATE BRANCH
        - CREATE DEROGATION
        - CREATE MTA BRANCH
        - FORK TO NEW MTA BRANCH
        - FORK TO NEW NB BRANCH
        - FORK TO NEW RENEWAL BRANCH
        - FORK TO NEW REPRICING BRANCH
        - DEFINE PARENT POLICY ID
        - INITIALIZE CUSTOMER
        - EDIT CUSTOMER
        - DELETE CUSTOMER FROM POLICY
        - SIGN
        - EDIT POLICY
        - EDIT POLICY EXTERNAL ID
        - CONFIRM POLICY
        - QUOTE POLICY
        - RETRIEVING QUOTE
        - STOP POLICY
        - SUSPEND POLICY
        - ACTIVATE POLICY
        - GENERATE MANDATE SIGNATURE REQUEST
        - GENERATE PAYMENT METHOD SECRET
        - CREATE CLAIM
        - FINALIZE RENEWAL
        - SEND CONTRACT TO SIGNATURE
        - GENERATE SIGNATURE REQUEST
        - GENERATE DOCUMENTS FOR SIGNATURE
        - APPROVE DISTRIBUTION REQUEST
        - DENY DISTRIBUTION REQUEST
        - REVOKED_DISTRIBUTION_REQUEST
        - DELETE DISTRIBUTION REQUEST
        - WAITING FOR SIGNATURE DISTRIBUTION REQUEST
        - UPDATE POLICY QUOTE
    BusinessEntity:
      type: string
      enum:
        - PAYMENT_METHOD
        - PAYMENT
        - POLICY
        - CUSTOMER
        - ASSET
        - INVOICE
        - DOCUMENT
        - SIGNATURE
        - TENANT
        - PRODUCT
        - QUOTE
        - BROKERAGE_FIRM
        - CLAIM
        - CLAIM_MANAGEMENT
        - CLAIMANT
        - EXTERNAL_SERVICE
        - NOTIFICATION
        - PREMIUM_SCHEDULE
        - CHECK
        - ALERT
        - DISTRIBUTION_REQUEST
        - DEROGATION
        - BROKERAGE_FEE
        - COMMENT
        - CONVERSATION
        - CONVERSATION_MESSAGE
    FieldQualifier:
      type: string
      enum:
        - DEFINED
        - AFTER
        - BEFORE
        - ON or AFTER
        - BEFORE or ON
        - 'ON'
        - EMPTY
        - in
    BranchStatus:
      type: string
      enum:
        - BRANCH_OPEN
        - BRANCH_MERGED
        - BRANCH_CLOSED
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://korint-tenant.auth.eu-west-3.amazoncognito.com/oauth2/token
          scopes:
            korint.io/account: Read account information
            korint.io/analytics: Access analytics endpoints
            korint.io/assets: Access asset endpoints
            korint.io/billing: Access billing endpoints
            korint.io/branches: Access branch endpoints
            korint.io/broker: Access broker endpoints
            korint.io/claims: Access claim endpoints
            korint.io/comments: Access comment endpoints
            korint.io/customers: Access customer endpoints
            korint.io/derogations: Access derogation endpoints
            korint.io/documents: Access document endpoints
            korint.io/external: Access external lookup endpoints
            korint.io/external-claims: Declare claims from an external system
            korint.io/internal-notes: Access internal note endpoints
            korint.io/invitations: Access invitation endpoints
            korint.io/payments: Access payment endpoints
            korint.io/permissions: Access permission management endpoints
            korint.io/policies: Access policy endpoints
            korint.io/quotes: Access quote endpoints
            korint.io/reportings: Access reporting endpoints
            korint.io/signature: Access signature endpoints
      description: >-
        Machine-to-machine clients use the OAuth 2.0 client credentials grant.
        Each tenant has its own authorization server: in the token URL below,
        replace `tenant` with your tenant identifier.
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: An access token obtained from your tenant authorization server.

````